SweetConnect LogoSweetConnect
ApiAsset documents

Upload HTML-based document as ZIP

POST
/v1/documents/assets/zip/{assetId}

Uploads a ZIP file that contains a structured HTML-based document (e.g., offline manuals). The file is associated with the given asset and metadata provided in the request body. aiEnabled is currently disabled for zip files and is rejected with 400.

Access restricted to roles:

  • admin
  • manufacturer-admin
  • manufacturer-user
  • producer-admin
  • producer-user
AuthorizationBearer <token>

In: header

Path Parameters

assetId*string

The ID of the asset the document is associated with

Request Body

multipart/form-data

Request payload for creating a document.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/documents/assets/zip/asset-1234" \  -F displayname="Manual 2025" \  -F organizationId="d1f2g3h4-i5j6-k7l8-m9n0" \  -F categoryId="AA" \  -F file="string"
{  "data": {    "warningCode": "DuplicateDocument",    "message": "Document \"Manual 2025\" (filename: document.pdf, id: a3f2b65e-4f22-4f45-80c4-9e547a8f5e6a) already exists and was not uploaded again, linked to asset(s) 54dd7365-6fd1-4fc4-81a5-1f9ca2156920,3f63fa1e-2f00-43a4-a5e1-ed478640ea53.",    "extension": {      "document": {        "id": "a3f2b65e-4f22-4f45-80c4-9e547a8f5e6a",        "filename": "document.pdf",        "ownerId": "d1f2g3h4-i5j6-k7l8-m9n0",        "mimetype": "application/pdf",        "type": "AssetDocument",        "createdBy": "user-5678efgh",        "createdAt": "2025-01-15T09:30:00.000Z",        "updatedBy": "user-1234abcd",        "updatedAt": "2025-02-27T12:00:00.000Z",        "displayname": "Manual 2025",        "organizationId": "d1f2g3h4-i5j6-k7l8-m9n0",        "manufacturerId": "d1f2g3h4-i5j6-k7l8-m9n0",        "category": {          "id": "AA",          "languageCode": "en",          "name": "Electronics"        },        "languages": [          "de",          "fr"        ],        "supplierDocument": false,        "supplierName": "Amcor",        "aiEnabled": false,        "aiIngested": "uningested",        "aiIngestedUpdatedAt": "2025-02-27T14:30:00.000Z"      },      "assetIds": [        "e49a408c-eba7-436f-bcf5-fd8469f74b03"      ],      "maintenanceIds": [        "b4d1f36b-253a-4b7f-8ef4-33ee478835a7"      ]    }  }}